Bug 39077 - S4 Connector identifies unknown DNS objects as dns/host_record
S4 Connector identifies unknown DNS objects as dns/host_record
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: S4 Connector
UCS 4.0
Other Linux
: P4 normal (vote)
: UCS 4.0-2-errata
Assigned To: Arvid Requate
Stefan Gohmann
:
Depends on:
Blocks: 34184
  Show dependency treegraph
 
Reported: 2015-08-04 15:40 CEST by Arvid Requate
Modified: 2015-08-06 17:52 CEST (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Troubleshooting
Max CVSS v3 score:
requate: Patch_Available+


Attachments
fix_dnstype_comparison.patch (961 bytes, patch)
2015-08-04 15:40 CEST, Arvid Requate
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Arvid Requate univentionstaff 2015-08-04 15:40:48 CEST
Created attachment 7082 [details]
fix_dnstype_comparison.patch

Due to a trivial python syntax glitch the S4 Connector identifies unknown DNS objects as host_record. The attached patch fixes this.
Comment 1 Arvid Requate univentionstaff 2015-08-04 16:11:23 CEST
Patch applied. Without this patch the S4-Connector creates a dns/host_record for all unidentified dnsNode objects found in Samba4.

E.g. for the DNS glue record

 _msdcs.<domainname>

which is present in AD/S4 and only has a NS resource record (DNS_TYPE_NS), the S4-Connector creates a dns/host_record object which doesn't have any relevant attributes, and is not shown in UDM at all (see also Bug 39078).

=========================================================================
dn: relativeDomainName=_msdcs,zoneName=arucs31ad1.qa,cn=dns,dc=arucs31ad1,dc=q
 a
objectClass: top
objectClass: dNSZone
objectClass: univentionObject
univentionObjectType: dns/host_record
relativeDomainName: _msdcs
dNSTTL: 10800
zoneName: arucs31ad1.qa
=========================================================================

Advisory: 2015-08-03-univention-s4-connector.yaml
Comment 2 Arvid Requate univentionstaff 2015-08-04 16:20:31 CEST
Merged to ucs-4-1-0 : svn r62634
Comment 3 Stefan Gohmann univentionstaff 2015-08-06 08:30:23 CEST
Code review: OK (r62629)

Tests: OK

Merge: OK, part of a larger commit (r62634)

YAML: OK
Comment 4 Janek Walkenhorst univentionstaff 2015-08-06 17:52:37 CEST
<http://errata.univention.de/ucs/4.0/275.html>